Re: Advisory... once again (and one last time): NVDA Remote 2.1 (without patch) is incompatible with NVDA 2018.3 and future releases


Lenron
 

I wish it had been adopted in to NVDA from the start, then this
wouldn't even be an issue.

On 8/25/18, Jonathan Milam <milamj@wfu.edu> wrote:
If no further progress is made, is it possible for this to be adopted as
part of NVDA itself going forward?


Thanks,
Jonathan
On Aug 25, 2018, at 2:39 PM, Joseph Lee <joseph.lee22590@gmail.com> wrote:

Dear NVDA community,



The following is a repeat of an advisory I sent out a few weeks ago
regarding Remote Support add-on. Given there has been no progress
whatsoever from original add-on authors (Tyler Spivey and Chris Toth),
coupled with renewed reports of this add-on not working with NVDA 2018.3
beta 3, I’m sending the below advisory again:



NVDA Remote Support add-on 2.1 isn’t compatible with NVDA 2018.3 due to the
add-on not being updated to support wxPython 4 attributes. The biggest
problem is that the add-on will not load when installed on NVDA 2018.3 beta
3 and later. An emergency patch is available, but ideally, fixes should
come from add-on authors themselves, and latest commits to this add-on does
include compatibility fixes but not released as stable build.



IMPORTANT: this is the final advisory regarding this add-on. If no progress
has been made by September 7, 2018, the add-ons community will declare this
add-on (without the emergency patch) incompatible with future NVDA releases
and will make an announcement to that effect on add-ons website.



A personal plea to Remote Support add-on authors: I really hate to say the
following but it should be said now: please consider what I said above as
an ultimatum from add-ons community (sorry for using that term, but it
captures precisely the community’s feelings towards this add-on and
understands how important this add-on is to so many people). If add-ons
that did not ask for crowd funding is compatible with wxPython 4 features,
and in extension, NVDA 2018.3, how come a project that received several
thousand dollars of crowd funding in 2015 not future-proof? I have warned
you for the last few months regarding compatibility issues with Remote
add-on, and have asked repeatedly for a solution from add-on authors
themselves, even going so far as producing a third-party patch myself. And
no, I won’t keep holding onto my patch – there will come a day when I’ll
say, “I had enough” and will take down my patch to demonstrate my own
frustrations.



Now this is just a tip of the iceberg: if add-ons are not compatible with
wxPython 4, how could they be compatible with Python 3 once NVDA project
moves on? Consider what I just said and implications: there will be a huger
uproar when users find out that their favorite add-on (and for some, a very
critical add-on) stops functioning because add-on authors abandoned it or
did not update their add-on to use Python 3 features. As I’ve been saying
for the last twelve months or so, wxPython 4 transition is just a taste of
what’s to come once NVDA is repowered by Python 3.



Thanks.

Cheers,

Joseph




--
Lenron Brown
Cell: 985-271-2832
Skype: ron.brown762

Join nvda@nvda.groups.io to automatically receive all group messages.